import { defineComponent as k, ref as s, computed as z, onMounted as C, resolveComponent as L, openBlock as j, createElementBlock as F, createElementVNode as R, createTextVNode as O, toDisplayString as P, unref as u, createVNode as g } from "vue";
import { d as B } from "./index-13daf6d0.mjs";
import { R as E } from "./index-4746ada0.mjs";
import { message as n } from "ant-design-vue";
import { b as M } from "./config-f0e1b8af.mjs";
import { e as m } from "./Workspace-5be60936.mjs";
import { _ as G } from "./_commonjsHelpers-4c55c438.mjs";
const H = { class: "rule-box" }, V = { class: "form-name" }, Q = /* @__PURE__ */ k({
  __name: "Rule",
  props: {
    currentRoleItem: { type: Object, required: !0 },
    ruleResourceId: { type: String, required: !0 },
    ruleResourceTableName: { type: String, required: !0 }
  },
  setup(y) {
    const r = y, b = r.ruleResourceTableName, v = r.ruleResourceId, h = [
      {
        title: "规则名称",
        dataIndex: "name"
      },
      {
        title: "规则表",
        dataIndex: "rule_table"
      },
      {
        title: "规则字段",
        dataIndex: "rule_column"
      },
      {
        title: "条件规则",
        dataIndex: "rule_conditions"
      },
      {
        title: "规则值",
        dataIndex: "rule_value"
      }
    ], c = s([]);
    let l = s(!1), f = s(0), i = s({
      page: 1,
      size: 10
    }), d = s("");
    const o = s([]), I = async (e, a) => {
      i.value.page = e, i.value.size = a, await p();
      const { _id: t } = r.currentRoleItem, _ = await m.getDataRules(t, v);
      o.value = _.list.map((N) => N._id);
    }, p = async () => {
      l.value = !0, c.value = [], Object.assign(i.value, { rule_table: r.ruleResourceId });
      try {
        const e = await B.getRules(i.value);
        f.value = e.total, c.value = e.list;
      } catch (e) {
        n.error(e.msg);
      } finally {
        l.value = !1;
      }
    }, w = async (e, a) => {
      try {
        const t = await m.getDataRules(e, a);
        o.value = t.list.map((_) => _._id);
      } catch ({ msg: t }) {
        n.error(t);
      }
    }, D = (e) => {
      e.length != 0 ? e.forEach((a) => {
        d.value = a.value;
      }) : d.value = "";
    }, S = z(() => d.value ? c.value.filter((e) => e.name.includes(d.value)) : c.value), x = async (e, a) => {
      const { _id: t } = r.currentRoleItem;
      a ? await T(t, e) : await q(t, e);
    }, T = async (e, a) => {
      l.value = !0;
      try {
        await m.bindDataRule(e, a), n.success("授权成功"), o.value.push(...a);
      } catch ({ msg: t }) {
        n.error(t);
      } finally {
        l.value = !1;
      }
    }, q = async (e, a) => {
      l.value = !0;
      try {
        await m.unbindDataRule(e, a), n.success("取消授权成功"), o.value = o.value.filter((t) => !a.includes(t));
      } catch ({ msg: t }) {
        n.error(t);
      } finally {
        l.value = !1;
      }
    };
    return C(() => {
      const { _id: e } = r.currentRoleItem;
      p(), w(e, v);
    }), (e, a) => {
      const t = L("GTSearch");
      return j(), F("div", H, [
        R("div", V, [
          R("strong", null, [
            O(" 表单名称："),
            R("span", null, P(u(b)), 1)
          ])
        ]),
        g(t, {
          fields: u(M),
          onSearch: D
        }, null, 8, ["fields"]),
        g(E, {
          columns: h,
          currentRoleItem: e.currentRoleItem,
          tableData: u(S),
          tableLoading: u(l),
          onRowClick: x,
          total: u(f),
          selectedRowKeysFlag: u(o),
          onPageSizeChange: I,
          myPagination: "rule"
        }, null, 8, ["currentRoleItem", "tableData", "tableLoading", "total", "selectedRowKeysFlag"])
      ]);
    };
  }
});
const U = /* @__PURE__ */ G(Q, [["__scopeId", "data-v-15eff1e3"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Resources/Rule.vue"]]), $ = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: U
}, Symbol.toStringTag, { value: "Module" }));
export {
  U as R,
  $ as _
};
