import { x as s, F as c } from "./Xhttp-85cb516e.mjs";
import { c as m } from "./_commonjsHelpers-4c55c438.mjs";
import { message as h } from "ant-design-vue";
var F = { exports: {} };
(function(t, e) {
  (function(n, i) {
    i();
  })(m, function() {
    function n(a, o) {
      return typeof o > "u" ? o = { autoBom: !1 } : typeof o != "object" && (console.warn("Deprecated: Expected third argument to be a object"), o = { autoBom: !o }), o.autoBom && /^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(a.type) ? new Blob(["\uFEFF", a], { type: a.type }) : a;
    }
    function i(a, o, l) {
      var r = new XMLHttpRequest();
      r.open("GET", a), r.responseType = "blob", r.onload = function() {
        y(r.response, o, l);
      }, r.onerror = function() {
        console.error("could not download file");
      }, r.send();
    }
    function u(a) {
      var o = new XMLHttpRequest();
      o.open("HEAD", a, !1);
      try {
        o.send();
      } catch {
      }
      return 200 <= o.status && 299 >= o.status;
    }
    function w(a) {
      try {
        a.dispatchEvent(new MouseEvent("click"));
      } catch {
        var o = document.createEvent("MouseEvents");
        o.initMouseEvent("click", !0, !0, window, 0, 0, 0, 80, 20, !1, !1, !1, !1, 0, null), a.dispatchEvent(o);
      }
    }
    var p = typeof window == "object" && window.window === window ? window : typeof self == "object" && self.self === self ? self : typeof m == "object" && m.global === m ? m : void 0, D = p.navigator && /Macintosh/.test(navigator.userAgent) && /AppleWebKit/.test(navigator.userAgent) && !/Safari/.test(navigator.userAgent), y = p.saveAs || (typeof window != "object" || window !== p ? function() {
    } : "download" in HTMLAnchorElement.prototype && !D ? function(a, o, l) {
      var r = p.URL || p.webkitURL, d = document.createElement("a");
      o = o || a.name || "download", d.download = o, d.rel = "noopener", typeof a == "string" ? (d.href = a, d.origin === location.origin ? w(d) : u(d.href) ? i(a, o, l) : w(d, d.target = "_blank")) : (d.href = r.createObjectURL(a), setTimeout(function() {
        r.revokeObjectURL(d.href);
      }, 4e4), setTimeout(function() {
        w(d);
      }, 0));
    } : "msSaveOrOpenBlob" in navigator ? function(a, o, l) {
      if (o = o || a.name || "download", typeof a != "string")
        navigator.msSaveOrOpenBlob(n(a, l), o);
      else if (u(a))
        i(a, o, l);
      else {
        var r = document.createElement("a");
        r.href = a, r.target = "_blank", setTimeout(function() {
          w(r);
        });
      }
    } : function(a, o, l, r) {
      if (r = r || open("", "_blank"), r && (r.document.title = r.document.body.innerText = "downloading..."), typeof a == "string")
        return i(a, o, l);
      var d = a.type === "application/octet-stream", R = /constructor/i.test(p.HTMLElement) || p.safari, E = /CriOS\/[\d]+/.test(navigator.userAgent);
      if ((E || d && R || D) && typeof FileReader < "u") {
        var v = new FileReader();
        v.onloadend = function() {
          var f = v.result;
          f = E ? f : f.replace(/^data:[^;]*;/, "data:attachment/file;"), r ? r.location.href = f : location = f, r = null;
        }, v.readAsDataURL(a);
      } else {
        var T = p.URL || p.webkitURL, A = T.createObjectURL(a);
        r ? r.location = A : location.href = A, r = null, setTimeout(function() {
          T.revokeObjectURL(A);
        }, 4e4);
      }
    });
    p.saveAs = y.saveAs = y, t.exports = y;
  });
})(F);
var S = F.exports;
const _ = {
  /**
   * 表单数据查询接口
   * @param {*} formName 表名
   * @param {*} param 查询参数
   * @returns
   */
  async searchFormData(t, e) {
    return await s.post(c.SEARCH(t), e);
  },
  /**
   * 表单数据添加接口
   * @param {*} formName 表名
   * @param {*} formData 表单数据
   * @returns
   */
  async addFormData(t, e) {
    return await s.post(c.ADD(t), e);
  },
  /**
   * 表单数据批量添加接口
   * @param {*} formName 表名
   * @param {*} formData 表单数据
   * @returns
   */
  async batchAddFormData(t, e) {
    return await s.post(c.BATCH(t), e);
  },
  /**
   * 关联表单数据查询
   * @param {*} formName 表名
   * @param {*} param 查询参数
   * @returns
   */
  async joinSearchFormData(t, e) {
    return await s.post(c.JOIN_SEARCH(t), e);
  },
  /**
   * 表单数据查询单条
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @param {*} resolveObj 是否翻译字典和显示子表
   * @returns
   */
  async searchFormDataById(t, e, n) {
    const i = (n == null ? void 0 : n.resolveDic) || !1, u = (n == null ? void 0 : n.resolveSubItems) || !1;
    return await s.get(c.SEARCH_BY_ID(t, e, i, u));
  },
  /**
   * 表单数据删除
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @returns
   */
  async deleteFormDataById(t, e) {
    return await s.delete(c.DELETE_BY_ID(t, e));
  },
  /**
   * 表单数据批量删除
   * @param {*} formName 表名
   * @param {*} ids 数据id数组
   * @returns
   */
  async bathDeleteFormData(t, e) {
    return await s.delete(c.BATCH(t), {
      data: { dataIds: e }
    });
  },
  /**
   * 表单数据更新接口
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @returns
   */
  async updateFormData(t, e) {
    return await s.put(c.UPDATE(t), e);
  },
  /**
   * 导入表单数据
   * @param {*} formName 表名
   * @param {*} file 导入文件
   * @returns
   */
  async importFormData(t, e) {
    const n = new FormData();
    return n.append("file", e), await s.post(c.IMPORT(t), n);
  },
  /**
   * 表单数据更新状态接口
   * @param {*} formName 表名
   * @param {*} dataId 单条数据id
   * @param {*} formData 参数
   * @returns
   */
  async updateState(t, e, n) {
    return await s.put(c.UPDATE_STATE(t, e), n);
  },
  /**
   * 表单数据批量修改状态
   * @param {*} formName 表名
   * @returns
   */
  async batchUpdateState(t, e) {
    return await s.post(c.BATCH_STATE(t), e);
  },
  /**
   * 表单数据根据过滤条件批量修改状态
   * @param {*} formName 表名
   * @returns
   */
  async filterBatchUpdateState(t, e) {
    return await s.post(c.BATCH_STATE_FILTER(t), e);
  },
  /**
   * 表单数据操作日志接口
   * @param {*} formName 表名
   * @param {*} dataId 单条数据id
   * @returns
   */
  async searchOperationLogs(t, e, n) {
    return await s.get(c.SEARCH_STATE(t, e, n));
  },
  /**
   * 表单数据统计
   * @param {*} formName 表名
   * @param {*} data
   * {
    "aggregates": [["农场类型", "count"]],
    "groupFields":["pcode"],
    "filter":["=", "农场类型", "种植"]
    }
   * @returns
   */
  async formDataCount(t, e) {
    return await s.post(c.COUNT(t), e);
  },
  /**
   * 表单数据下载
   * @param {string} name 文件名
   * @param {string} formName 表名称
   * @param {object} data 过滤条件
   */
  async dataDownload(t, e, n = {}) {
    return h.info(`开始下载：${t}`), s.postDownload(`form/${e}/download`, n).then((i) => {
      S.saveAs(i, t);
    });
  },
  /**
   * 导入数据（附带额外信息）
   * @param {string} formName 表名称
   * @param {file} file 上传Excel表格   表头为label   重复label使用spareLabel
   * @param {object} data 自带数据    key值为name
   * @param {array} fieldAssemble  数组 需要拼接参数  多个sourcefields 以delimiter为连接符组装，然后赋值给targetField
   *  示例 {"sourceFields":["field1","field2"],"delimiter":"-","targetField":"field3"}
   */
  async formexImport(t, e, n, i) {
    const u = new FormData();
    return u.append("file", e), n && u.append("data", JSON.stringify(n)), i && u.append("fieldAssemble", JSON.stringify(i)), s.post(`/formex/${t}/import`, u);
  },
  /**
   * 表单word下载
   * @param {string} formName 表名称
   * @param {object} data 表单数据 {"dataId": "数据id", "subForms": [{ "formName": "物料使用情况表"}]}
   * @param {string} name  下载word名称
   */
  async downloadWord(t, e, n) {
    return n || (n = `${t}.docx`), h.info(`开始下载：${n}`), s.getDownload(`/extend/word/${t}/download`, e).then((i) => {
      S.saveAs(i, n);
    });
  },
  /**
   * 表单pdf查看
   * @param {string} formName 表名称
   * @param {object} data 表单数据 {"dataId": "数据id", "subForms": [{ "formName": "物料使用情况表"}]}
   */
  viewPdfUrl(t, e) {
    const { dataId: n, subForms: i } = e;
    let u = `dataId=${n}`;
    return i && (u += `&subForms=${encodeURIComponent(JSON.stringify(i))}`), `/api/misengine/extend/pdf/${t}/download?${u}`;
  }
};
export {
  S as F,
  _ as f
};
