import { defineComponent as D, ref as _, watch as M, resolveComponent as f, openBlock as k, createElementBlock as P, createElementVNode as u, normalizeClass as C, unref as e, createVNode as t, withCtx as n, createBlock as N, createCommentVNode as R, withKeys as T, createTextVNode as w, pushScopeId as q, popScopeId as $ } from "vue";
import { S as U } from "./types-b6ebfd92.mjs";
import { l as B } from "./index-54c61fa6.mjs";
import { message as H } from "ant-design-vue";
import { cloneDeep as V } from "lodash";
import { u as j } from "./Xhttp-85cb516e.mjs";
import { _ as z } from "./_commonjsHelpers-4c55c438.mjs";
var d = /* @__PURE__ */ ((l) => (l.PHONE = "phone", l.USERNAME = "username", l))(d || {});
const I = {
  phone: {
    rules: {
      phone: [
        {
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      phone: "",
      password: ""
    }
  },
  username: {
    rules: {
      username: [
        {
          required: !0,
          message: "请输入用户名"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      username: "",
      password: ""
    }
  }
}, K = (l) => (q("data-v-2abdafa9"), l = l(), $(), l), L = { class: "login-wrapper" }, F = /* @__PURE__ */ K(() => /* @__PURE__ */ u("div", { class: "title" }, "欢迎登录", -1)), G = { class: "body" }, J = { class: "model_box" }, W = { class: "submit" }, Q = { class: "link-wrapper" }, X = /* @__PURE__ */ D({
  __name: "index",
  emits: ["update:status"],
  setup(l, { emit: O }) {
    const y = O, h = j(), E = _(), v = _(!1), i = _(d.USERNAME), a = _(), b = _();
    M(
      i,
      (s) => {
        a.value = V(I[s].formData), b.value = I[s].rules;
      },
      {
        immediate: !0
      }
    );
    const A = async () => {
      try {
        v.value = !0;
        const { username: s, password: o } = a.value;
        let p = await B.login(s, o);
        const { access_token: m, refresh_token: c, user_id: g } = p;
        localStorage.setItem("access_token", m), localStorage.setItem("refresh_token", c), localStorage.setItem("user_id", g), h.push("/");
      } catch (s) {
        H.error(s.msg);
      } finally {
        v.value = !1;
      }
    }, x = () => {
      var s;
      console.log("router :>> ", h), (s = E.value) == null || s.validate().then(() => {
        A();
      }).catch((o) => {
        console.log("error :>> ", o);
      });
    };
    return (s, o) => {
      const p = f("svg-icon"), m = f("a-input"), c = f("a-form-item"), g = f("a-form"), S = f("a-button");
      return k(), P("div", L, [
        F,
        u("div", G, [
          u("div", J, [
            u("div", {
              class: C(["model_item", "left", { active: e(i) === e(d).USERNAME }]),
              onClick: o[0] || (o[0] = (r) => i.value = e(d).USERNAME)
            }, " 用户名登录 ", 2),
            u("div", {
              class: C(["model_item", { active: e(i) === e(d).PHONE }]),
              onClick: o[1] || (o[1] = (r) => i.value = e(d).PHONE)
            }, " 手机号登录 ", 2)
          ]),
          t(g, {
            autocomplete: "off",
            model: e(a),
            rules: e(b),
            ref_key: "loginRef",
            ref: E
          }, {
            default: n(() => [
              e(i) === "username" ? (k(), N(c, {
                key: 0,
                name: "username"
              }, {
                default: n(() => [
                  t(m, {
                    value: e(a).username,
                    "onUpdate:value": o[2] || (o[2] = (r) => e(a).username = r),
                    class: "input-item",
                    placeholder: "用户名",
                    allowClear: ""
                  }, {
                    prefix: n(() => [
                      t(p, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : R("", !0),
              e(i) === "phone" ? (k(), N(c, {
                key: 1,
                name: "phone"
              }, {
                default: n(() => [
                  t(m, {
                    value: e(a).phone,
                    "onUpdate:value": o[3] || (o[3] = (r) => e(a).phone = r),
                    class: "input-phone",
                    allClear: "",
                    placeholder: "请输入手机号"
                  }, {
                    prefix: n(() => [
                      t(p, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : R("", !0),
              t(c, { name: "password" }, {
                default: n(() => [
                  t(m, {
                    type: "password",
                    value: e(a).password,
                    "onUpdate:value": o[4] || (o[4] = (r) => e(a).password = r),
                    class: "input-item",
                    placeholder: "密码",
                    allowClear: "",
                    onKeydown: T(x, ["enter"])
                  }, {
                    prefix: n(() => [
                      t(p, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          u("div", W, [
            t(S, {
              type: "primary",
              block: "",
              onClick: x,
              class: "input-item",
              loading: e(v)
            }, {
              default: n(() => [
                w(" 登录 ")
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          u("div", Q, [
            t(S, {
              type: "link",
              onClick: o[5] || (o[5] = (r) => y("update:status", e(U).REGISTER))
            }, {
              default: n(() => [
                w("注册账号")
              ]),
              _: 1
            }),
            t(S, {
              class: "btn-forget-passwd",
              type: "link",
              onClick: o[6] || (o[6] = (r) => y("update:status", e(U).RESET_PASSWD))
            }, {
              default: n(() => [
                w("忘记密码")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
});
const Y = /* @__PURE__ */ z(X, [["__scopeId", "data-v-2abdafa9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Signing/index.vue"]]), re = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Y
}, Symbol.toStringTag, { value: "Module" }));
export {
  Y as S,
  re as _
};
